// ============================================================================
// File:               CharFunction
//
// Project:            CAFF
//
// Purpose:            
//
// Author:             Rammi
//
// Copyright Notice:   © 2021-2023  Rammi (rammi@caff.de)
//                     The usage of this source code in commercial or open 
//                     source projects is not allowed without explicit 
//                     permission.
//
// Created:            19.10.21 13:30
//=============================================================================
package de.caff.generics.function;

/**
 * Function which has a primitive short as input,
 * and an object as output.
 * @param <T> output type
 * @author <a href="mailto:rammi@caff.de">Rammi</a>
 * @since April 22, 2022
 */
@FunctionalInterface
public interface ShortFunction1<T>
{
  /**
   * Convert a short into something else.
   * @param v short value
   * @return converted short
   */
  T applyAsShort(short v);
}
