// ============================================================================
// File:               package-info
//
// Project:            CAFF
//
// Purpose:            
//
// Author:             Rammi
//
// Copyright Notice:   © 2021-2023  Rammi (rammi@caff.de)
//                     The usage of this source code in commercial or open 
//                     source projects is not allowed without explicit 
//                     permission.
//
// Created:            18.11.21 12:35
//=============================================================================

/**
 * This package contains combinatorics algorithms.
 * <p>
 * Currently the following classes handling standard problems are available:
 * <ul>
 *   <li>
 *   {@link de.caff.generics.util.combi.Permutations} takes care of permutations
 *   and can create permutated versions of any set of objects lazily.
 *   </li>
 *   <li>
 *     {@link de.caff.generics.util.combi.Combinations} does similar things
 *     for <i>n choose k</i> stuff.
 *   </li>
 * </ul>
 *
 * Both provide ways to work on basic collections of object types (although they make use of
 * read-only classes provided by this library, esp. {@link de.caff.generics.Indexable}).
 * They also provide implementations for sets of primitive types.
 */
package de.caff.generics.util.combi;